import { defineComponent as i, createVNode as o, resolveComponent as n, isVNode as c } from "vue";
import { ElIcon as l, ElTooltip as r } from "element-plus";
import { useResolveVnode as a } from "@klweb/compose-app-engine";
import { e as f } from "./index-BbdVezoQ.js";
const s = {
  "kl-editor-tips-icon": "_kl-editor-tips-icon_1891w_1"
};
function d(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !c(t);
}
const {
  IconQuestion: p
} = f, g = /* @__PURE__ */ i({
  name: "KlEditorTipsIcon",
  components: {
    ElIcon: l,
    ElTooltip: r
  },
  props: {
    effect: {
      type: String,
      default: "dark"
    },
    placement: {
      type: String,
      default: "top"
    },
    content: {
      type: String,
      default: ""
    },
    icon: {
      type: Object,
      default: () => p
    },
    iconSize: {
      type: String,
      default: "16"
    },
    iconStyle: {
      type: Object,
      default: () => ({})
    }
  },
  setup(t) {
    return () => {
      let e;
      return o("span", null, [o(n("el-tooltip"), {
        effect: t.effect,
        placement: t.placement,
        content: t.content,
        "raw-content": !0
      }, {
        default: () => [o(n("el-icon"), {
          size: t.iconSize,
          class: s["kl-editor-tips-icon"],
          style: Object.assign({
            color: "var(--editor-text-color-regular)",
            margin: "0 5px"
          }, t.iconStyle)
        }, d(e = a(t.icon)) ? e : {
          default: () => [e]
        })]
      })]);
    };
  }
});
export {
  g as default
};
